PolynomialKernel (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.PolynomialKernel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class PolynomialKernel

    java.lang.Object
      org.biojava.stats.svm.NestedKernel
          org.biojava.stats.svm.PolynomialKernel

All Implemented Interfaces:
  Serializable, SVMKernel

    public class PolynomialKernel

extends NestedKernel

This kernel computes all possible products of order features in feature space. This is done by computing (a.k(i,j) + c)^order for some other kernel k that defines a dot product in some feature space.

Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`PolynomialKernel()`
`PolynomialKernel(SVMKernel nested, double order, double a, double c)`

Method Summary
`double` | `evaluate(Object a, Object b)` Return the dot product of two vectors in an arbitrary feature space.
`double` | `getConstant()`
`double` | `getMultiplier()`
`double` | `getOrder()`
`void` | `setConstant(double c)`
`void` | `setMultiplier(double m)`
`void` | `setOrder(double o)`
`String` | `toString()`

Methods inherited from class org.biojava.stats.svm.NestedKernel
`getNestedKernel, setNestedKernel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolynomialKernel

    public PolynomialKernel()

### PolynomialKernel

    public PolynomialKernel(SVMKernel nested,
                            double order,
                            double a,
                            double c)

Method Detail

### evaluate

    public double evaluate(Object a,
                           Object b)

  Description copied from interface: `SVMKernel`
  Return the dot product of two vectors in an arbitrary feature space. In this implementation, the `vectors' can actually be arbitrary objects.

### getOrder

    public double getOrder()

### setOrder

    public void setOrder(double o)

### getConstant

    public double getConstant()

### setConstant

    public void setConstant(double c)

### getMultiplier

    public double getMultiplier()

### setMultiplier

    public void setMultiplier(double m)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD